Web Monitors {Monitor Id}
curl --request PATCH \
--url https://socialquery.dev/v1/web/monitors/{monitor_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"cadence_minutes": 123,
"schedule_text": "<string>",
"schedule_cron": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://socialquery.dev/v1/web/monitors/{monitor_id}"
payload = {
"cadence_minutes": 123,
"schedule_text": "<string>",
"schedule_cron": "<string>",
"timezone": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cadence_minutes: 123,
schedule_text: '<string>',
schedule_cron: '<string>',
timezone: '<string>'
})
};
fetch('https://socialquery.dev/v1/web/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"data": {}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}Web
Web Monitors {Monitor Id}
Web monitors {monitor id}. Availability depends on the configured provider route.
PATCH
/
web
/
monitors
/
{monitor_id}
Web Monitors {Monitor Id}
curl --request PATCH \
--url https://socialquery.dev/v1/web/monitors/{monitor_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"cadence_minutes": 123,
"schedule_text": "<string>",
"schedule_cron": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://socialquery.dev/v1/web/monitors/{monitor_id}"
payload = {
"cadence_minutes": 123,
"schedule_text": "<string>",
"schedule_cron": "<string>",
"timezone": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cadence_minutes: 123,
schedule_text: '<string>',
schedule_cron: '<string>',
timezone: '<string>'
})
};
fetch('https://socialquery.dev/v1/web/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"data": {}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}{
"success": false,
"platform": "<string>",
"endpoint": "<string>",
"credits_used": 1,
"credits_remaining": 123,
"request_id": "<string>",
"cached": true,
"error": {
"code": "<string>",
"type": "<string>",
"message": "<string>",
"status": 123,
"doc_url": "<string>"
}
}Beta catalog endpoint. Provider activation and live verification are in progress. An unavailable operation returns HTTP 503 and uses no credits.
Authorizations
Path Parameters
Body
application/json
Response
Successful response. data is specific to this operation.
Required range:
x >= 0Operation-specific data. Fields depend on the endpoint and upstream response; unavailable metrics may be null.
⌘I